#include "NativeCodes.h"
#include "ImageOperators.h"

JNIEXPORT jstring JNICALL Java_bme_ar_labs_lab01_NativeHolder_getJNIMessage
  (JNIEnv *env, jobject object)
{
   return env->NewStringUTF("Hello JNI AR WORLD");
}

using namespace cv;

JNIEXPORT void JNICALL Java_bme_ar_labs_lab01_NativeHolder_edgeDetect
    (JNIEnv* env, jobject object, jlong srcMatAddr, jlong dstMatAddr)
{
    Mat& srcMat  = *(Mat*)srcMatAddr;
    Mat& dstMat = *(Mat*)dstMatAddr;
    edgeDetect(srcMat, dstMat);
}
